﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DoorTrigger : MonoBehaviour {

    private AudioSource audio;
    private Animator anim;

    void Start(){
        anim = GetComponentInParent<Animator>();
        audio = GetComponent<AudioSource>();
    }

	
    void OnTriggerEnter(Collider other)
    {
        if(other.CompareTag("Player")){
            Debug.Log("collision with player");
            anim.SetBool("character_nearby",true);
            audio.Play();
        }

    }

    void OnTriggerExit(Collider other)
    {
        if (other.CompareTag("Player"))
        {
            Debug.Log("player exit");
            anim.SetBool("character_nearby", false);
            audio.Play();
        }

    }
}
